import { View } from '@tarojs/components'
import './style.less'

export default (props) => {
  const { status, value, type } = props
  return (
    <View className={['jianbian',
      type == 'machinery' ?
        (value ? 'workingClass' : 'waitClass') :
        status == 0 ? 'waitClass' :
          status == 1 ? 'workingClass' :
            status == 3 ? 'overClass' : ''
    ]}
    >
      <View className='text'>
        {type == 'machinery' ? (value ? '使用中' : '空闲中') : status == 0 ? '待作业' : status == 1 ? '进行中' : status == 3 ? '已完成' : ''}
      </View>
    </View>
  )
}